﻿/* Stylesheet for docking library */
.iyp-dock {
	overflow: hidden;
    display: -webkit-flex;
    display:         flex;
	position:absolute; /* ensure, that the parent div (the div where our iyp-doc div resides in) has position:relative !!! */
    height:100%;
    width:100%;
}


.iyp-dock-layout-horizontal {
    flex-direction: row;
}

.iyp-dock-layout-vertical {
    flex-direction: column;
}


.iyp-dock-minor {
	display: -webkit-flex;
    display:         flex;
	-webkit-flex: auto;
	flex: auto;
	border: solid grey;
	border-width: 1px 0;
	overflow: hidden;
}

.iyp-dock-container {

}

.iyp-dock-document-container {
    display: -webkit-flex;
    display:         flex;
	-webkit-flex: auto;
	flex: auto;
	border: solid grey;
	border-width: 1px 0;
	overflow: hidden;

}